﻿// MP4 file track manager
//    for moraMP4fix_for_NW-A860
//
// Copyright(C) 2014 Sota. All rights reserved.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace moraMP4fix_for_NW_A860
{
    class TrackManager
    {
        public struct TrackData
        {
            public int stcoOffset;

            public TrackData(int offset)
            {
                this.stcoOffset = offset;
            }
        }

        List<TrackData> trackList;

        /// <summary>
        /// Constructor
        /// </summary>
        public TrackManager()
        {
            trackList = new List<TrackData>();
        }

        /// <summary>
        /// Add track data
        /// </summary>
        /// <param name="stcoOffset">Offset of stco box</param>
        public void AddTrackData(int stcoOffset)
        {
            TrackData data = new TrackData(stcoOffset);
            trackList.Add(data);
        }

        /// <summary>
        /// Get number of tracks
        /// </summary>
        /// <retunrs>Number of tracks</retunrs>
        public int GetTrackDataCount()
        {
            return trackList.Count();
        }

        /// <summary>
        /// Get track data
        /// </summary>
        /// <param name="index">index</param>
        /// <retunrs>Track data</retunrs>
        public TrackData GetTrackData(int index)
        {
            TrackData data = trackList[index];
            return data;
        }

    }
}
